<md-dialog class="modal-default styled-modal"
    flex="50"
    aria-label="Dashboard settings"
    zafira-background-theme="modal">
    <form class="form-validation styled-modal__form"
        novalidate
        name="dashboard_form"
        ng-submit="UtilService.untouchForm(dashboard_form)"
        ng-cloak>
        <md-toolbar class="modal-header">
            <div class="md-toolbar-tools modal-header__wrapper">
                <h2 id="modalTitle"
                    class="modal-header__title">
                    <span ng-if="isNew">New dashboard</span>
                    <span ng-if="!isNew && status === 'edit'">Edit dashboard</span>
                    <span ng-if="status === 'delete'">Delete dashboard</span>
                </h2>
                <span flex></span>
                <md-button id="close"
                    class="md-icon-button _default-md-style"
                    ng-click="cancel()">
                    <md-icon aria-label="Close dialog">close</md-icon>
                </md-button>
            </div>
        </md-toolbar>

        <md-dialog-content class="modal-content">
            <div class="md-dialog-content modal-content__wrapper">
                <ng-form name="info"
                    layout="row"
                    class="inputs-group _no-wrap"
                    ng-if="status !== 'delete'">
                    <md-input-container>
                        <label class="placeholder-label">Name</label>
                        <input type="text"
                            name="title"
                            ng-model="dashboard.title"
                            ng-change="checkDashboardTitle(dashboard.title, dashboard_form.info)"
                            autofocus="true"
                            required
                            ng-disabled="!isNew && !dashboard.editable">
                        <div ng-messages="dashboard_form.info.$error"
                            role="alert"
                            ng-if="dashboard_form.info.$dirty">
                            <div ng-message="required">Title required</div>
                            <div ng-message="duplicateKey">Duplicate title forbidden</div>
                            <div ng-message="length">Must be between 2 and 100 characters</div>
                        </div>
                    </md-input-container>
                </ng-form>
                <div class="modal-content__text" ng-if="status === 'delete'">
                    Would you like to delete dashboard "{{dashboard.title}}"?
                </div>
            </div>
        </md-dialog-content>

        <md-dialog-actions layout="row" class="styled-modal__controls-wrapper">
            <md-button id="cancel"
                ng-if="status === 'delete' || status === 'edit'"
                type="button"
                class="md-raised md-button md-ink-ripple"
                ng-click="cancel()">
                Cancel
            </md-button>
            <md-button id="delete"
                ng-if="status === 'delete'"
                type="button"
                class="md-button md-raised md-warn"
                ng-disabled="dashboard_form.info.$invalid"
                ng-click="deleteDashboard(dashboard);">
                Delete
            </md-button>
            <md-button id="create"
                ng-if="isNew"
                type="submit"
                class="md-raised md-primary gtm-create-dashboard-button"
                ng-disabled="dashboard_form.info.$invalid"
                ng-click="createDashboard(dashboard, dashboard_form.info)">
                Create
            </md-button>
            <md-button id="save"
                ng-if="!isNew && status !== 'delete'"
                type="submit"
                class="md-raised md-primary"
                ng-disabled="dashboard_form.info.$invalid"
                ng-click="updateDashboard(dashboard, dashboard_form.info)">
                Save
            </md-button>
        </md-dialog-actions>
    </form>
</md-dialog>
